Page MenuHomePhabricator

Add new section to a page
Closed, ResolvedPublic

Description

Originally from: http://sourceforge.net/p/pywikipediabot/feature-requests/273/
Reported by: binbot
Created on: 2010-11-07 16:57:49
Subject: Add new section to a page
Original description:
Hi\! Wikipedia.Page has now to saving methods, put\(newtext\) and put\_async\(newtext\). I ask you to introduce a third one: newsection\(title,newtext\). It should work as ...action=edit&section=new, so we shouldn't bother the old content of the page to add something to the end.

Thanks a lot\!


Version: core-(2.0)
Severity: enhancement
See Also:
https://sourceforge.net/p/pywikipediabot/feature-requests/273

Details

Reference
bz55054
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:17 AM
bzimport set Reference to bz55054.
bzimport added a subscriber: Unknown Object (????).
Legoktm created this task.Oct 5 2013, 4:17 AM
jayvdb added a comment.Nov 5 2014, 5:01 AM

https://gerrit.wikimedia.org/r/#/c/168770/ is laying some groundwork for this to be possible by adding Site._editpage which doesnt depend on .text

Change 180729 had a related patch set uploaded (by Nullzero):
[WIP] Introduce appendtext / prependtext

https://gerrit.wikimedia.org/r/180729

Patch-For-Review

Change 216529 had a related patch set uploaded (by John Vandenberg):
Allow all action=edit optional arguments

https://gerrit.wikimedia.org/r/216529

Change 216529 merged by John Vandenberg:
Allow all action=edit optional arguments

https://gerrit.wikimedia.org/r/216529

jayvdb closed this task as Resolved.Jun 14 2015, 1:19 AM
jayvdb claimed this task.

APISite.editpage can be used to add a section.

Change 180729 abandoned by John Vandenberg:
[WIP] Introduce appendtext / prependtext

Reason:
alternative merged; unabandon if you want to add appendtext as a Site method, etc

https://gerrit.wikimedia.org/r/180729